#
# spec file for package pidgin
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%if 0%{?suse_version} > 1010 && 0%{?suse_version} < 1140
%define with_mono 1
%else
%define with_mono 0
%endif

Name:           pidgin
Summary:        GTK+-Based Multiprotocol Instant Messaging Client
Version:        2.10.12
Release:        34.13
# FIXME: check resolution of bnc#659001 to decide what to do about ownership of mhr directories in -lang (last checked: 2012-12-21)
License:        GPLv2+
Group:          Productivity/Networking/Instant Messenger
Url:            http://www.pidgin.im/
Source:         http://downloads.sourceforge.net/pidgin/%{name}-%{version}.tar.bz2
Source1:        pidgin-NLD-smiley-theme.tar.bz2
Source2:        pidgin-Tango-smiley-theme.tar.bz2
#Patch1:         pidgin-gnome-keyring.patch
Patch3:         pidgin-nonblock-common.patch
Patch4:         pidgin-nonblock-gwim.patch
Patch5:         pidgin-nonblock-common2.patch
# PATCH-FIX-UPSTREAM pidgin-mono-buildfix.patch http://developer.pidgin.im/ticket/12506 dimstar@opensuse.org -- Fix build with mono plugin loader; missing include statements.
Patch14:        pidgin-mono-buildfix.patch
# PATCH-FIX-OPENSUSE pidgin-fix-perl-build.patch vuntz@opensuse.org -- Revert http://developer.pidgin.im/viewmtn/revision/info/f32151852a00fb5abd3fdccdd8df2419031666de as it breaks the build
Patch15:        pidgin-fix-perl-build.patch
# Can use external libzephyr
BuildRequires:  cyrus-sasl-devel
BuildRequires:  dbus-1-devel
BuildRequires:  doxygen
BuildRequires:  evolution-data-server-devel
%if %suse_version > 1110
BuildRequires:  farsight2-devel
%endif
%if %suse_version < 1020
BuildRequires:  gnome-icon-theme
%endif
BuildRequires:  graphviz
BuildRequires:  gtk-doc
BuildRequires:  gtkspell-devel
BuildRequires:  intltool
BuildRequires:  libidn-devel
%if %{suse_version} > 1030
BuildRequires:  libgadu-devel
%endif
# There is no way to discriminate openSUSE 11.1 and SLE11. That is why we recognize openSUSE 11.1 as SLE.
# Ugly, but there is no other way. (bnc#566286#c17).
%if %suse_version == 1110
%define building_for_sle_ge_11 1
%else
%define building_for_sle_ge_11 0
%endif
# gnome-keyring support summary (bnc#566286):
# SLE10, 11.0, 11.1: patch present and broken (does nothing)
# SLE11: patch present and active (bnc#569025)
# 11.2: patch was present and active removed by an opdate
# 11.3 and above: patch not applied
# For openSUSE, it's better to avoid this patch:
# + does not work well outside GNOME
# - passwords are stored in readable form
%if 0%{?suse_version} > 1120
%if 0%{?building_for_sle_ge_11}
BuildRequires:  libgnome-keyring-devel
%endif
%else
%if 0%{?building_for_sle_ge_11}
BuildRequires:  gnome-keyring-devel
%endif
%endif
BuildRequires:  libstdc++-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt
%if %suse_version >= 1030
# Versions in older SUSE products are too old:
BuildRequires:  meanwhile-devel
%endif
BuildRequires:  mono-devel
BuildRequires:  mozilla-nspr-devel
BuildRequires:  mozilla-nss-devel
BuildRequires:  ncurses-devel
%if %suse_version > 1020
BuildRequires:  openssl-certs
%endif
%if %suse_version > 1030
%if %suse_version < 1120
# missing in silc-toolkit-devel:
BuildRequires:  pam-devel
%endif
%endif
BuildRequires:  python
BuildRequires:  startup-notification-devel
BuildRequires:  tk-devel
%if %suse_version > 1110
BuildRequires:  translation-update-upstream
%endif
BuildRequires:  update-desktop-files
BuildRequires:  NetworkManager-devel
%if %suse_version > 1030
BuildRequires:  gstreamer-0_10-devel
BuildRequires:  gstreamer-0_10-plugins-base-devel
%else
BuildRequires:  gstreamer010-devel
BuildRequires:  gstreamer010-plugins-base-devel
%endif
%if %suse_version > 1020
BuildRequires:  dbus-1-glib-devel
BuildRequires:  silc-toolkit-devel
%else
BuildRequires:  dbus-1-devel dbus-1-glib
%endif
%if %suse_version > 1020
BuildRequires:  fdupes
%endif
BuildRequires:  libnotify-devel
%if %suse_version > 1030
BuildRequires:  libavahi-glib-devel
%else
BuildRequires:  avahi-devel avahi-glib
%endif
%if %suse_version > 1020
Requires:       openssl-certs
%endif
Requires:       perl-base = %{perl_version}
%if %suse_version > 1030
Recommends:     libpurple-lang
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# Existed before 10.3 and SLED10 before SP2:
Obsoletes:      gaim <= 1.5.0
# Has never been in SuSE:
Obsoletes:      gaim-applet
# Was only in the Build Service after 10.2:
Obsoletes:      gaim-unstable < 2.0.0
Provides:       gaim
%if %suse_version <= 1021
%define _prefix /opt/gnome
%define _libdir %{_prefix}/%{_lib}
%define _datadir %{_prefix}/share
%define _sysconfdir /etc%_prefix
BuildRequires:  gconf2-rpm-macros
%endif
%gconf_schemas_prereq

%description
Pidgin allows you to talk to anyone using a variety of messaging
protocols including AIM, MSN, Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ,
IRC, Novell Groupwise, QQ, Lotus Sametime, SILC, Simple and Zephyr.
These protocols are implemented using a modular, easy to use design. To
use a protocol, just add an account using the account editor.

Pidgin supports many common features of other clients, as well as many
unique features, such as Perl scripting, TCL scripting and C plugins.

Pidgin is not affiliated with or endorsed by America Online, Inc.,
Microsoft Corporation, Yahoo! Inc., or ICQ Inc.

%package devel
License:        GPLv2+
#'
Summary:        Development Headers, Documentation, and Libraries for Pidgin
Group:          Productivity/Networking/Instant Messenger
Requires:       %{name} = %{version} glib2-devel gtk2-devel libpurple-devel = %{version}

%package -n libpurple
License:        GPLv2+
Summary:        Library for IM Clients Like Pidgin and Finch
Group:          Productivity/Networking/Instant Messenger
# Not really required, but standard Jabber accounts require it, if compiled with SASL support.
Requires:       cyrus-sasl-digestmd5 cyrus-sasl-plain
# Needed for purple-url-handler:
Requires:       dbus-1-python
Requires:       perl = %{perl_version}
%if %suse_version > 1020
Requires:       openssl-certs
%endif
%if %suse_version > 1030
Recommends:     libpurple-lang
%endif

%package -n libpurple-devel
License:        GPLv2+
Summary:        Development Headers, Documentation, and Libraries for libpurple
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple = %{version} NetworkManager-devel NetworkManager-glib glib2-devel libxml2-devel
%if 0%{?suse_version} > 1120
%if 0%{?building_for_sle_ge_11}
Requires:       libgnome-keyring-devel
%endif
%else
%if 0%{?building_for_sle_ge_11}
Requires:       gnome-keyring-devel
%endif
%endif
Requires:       pkg-config
Provides:       gaim-devel = %{version}
Obsoletes:      gaim-devel <= 1.5.0
Provides:       gaim-unstable-devel = %{version}
Obsoletes:      gaim-unstable-devel < 2.0.0

%if %suse_version >= 1030

%package -n libpurple-meanwhile
License:        GPLv2+
Summary:        Lotus Sametime Plugin for Pidgin Using the Meanwhile Library
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple = %{version}
%endif

%package evolution
License:        GPLv2+
Summary:        Evolution integration plugin for Pidgin
Group:          Productivity/Networking/Instant Messenger
Requires:       %{name} = %{version}
Supplements:    packageand(%{name}:evolution-data-server)

%if %with_mono

%package -n libpurple-mono
License:        GPLv2+
Summary:        Mono .NET Plugin Support for Pidgin
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple = %{version}
%endif

%package -n libpurple-tcl
License:        GPLv2+
Summary:        TCL Plugin Support for Pidgin
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple = %{version}
Supplements:    packageand(libpurple:tcl)

%package -n finch
License:        GPLv2+
Summary:        Text-Based User Interface for Pidgin Instant Messaging Client
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple = %{version}
Obsoletes:      gaim-unstable-text < 2.0.0
Provides:       gaim-unstable-text

%package -n finch-devel
License:        GPLv2+
Summary:        Headers etc. for finch Stuffs
Group:          Productivity/Networking/Instant Messenger
Requires:       finch = %{version} glib2-devel glibc-devel libpurple-devel = %{version} ncurses-devel
Requires:       pkg-config
Obsoletes:      gaim-unstable-text-devel

%description devel
The pidgin-devel package contains the header files, developer
documentation, and libraries required for development of Pidgin scripts
and plugins.

%description -n libpurple
libpurple contains the core IM support for IM clients such as Pidgin
and Finch.

libpurple supports a variety of messaging protocols including AIM, MSN,
Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ, IRC, Novell Groupwise, QQ,
Lotus Sametime, SILC, Simple and Zephyr.

%description -n libpurple-devel
The libpurple-devel package contains the header files, developer
documentation, and libraries required for development of libpurple
based instant messaging clients or plugins for any libpurple based
client.

%if %suse_version >= 1030

%description -n libpurple-meanwhile
Lotus Sametime plugin for Pidgin using the Meanwhile library.
%endif

%description evolution
Evolution integration plugin for Pidgin

%if %with_mono

%description -n libpurple-mono
Mono plugin loader for Pidgin. This package will allow you to write or
use Pidgin plugins written in the .NET programming language.
%endif

%description -n libpurple-tcl
TCL plugin loader for Pidgin. This package will allow you to write or
use Pidgin plugins written in the TCL programming language.

%description -n finch
A text-based user interface for using libpurple.  This can be run from
a standard text console or from a terminal within X Windows.  It uses
ncurses and our homegrown gnt library for drawing windows and text.

%description -n finch-devel
The finch-devel package contains the header files, developer
documentation, and libraries required for development of Finch scripts
and plugins.

%if %suse_version > 1030
%lang_package -n libpurple
%endif

%prep
%setup -q -a1 -a2
%if %suse_version > 1110
translation-update-upstream
%endif
## % if 0%{?building_for_sle_ge_11}
## % patch1 -p1
## % endif
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch14 -p1
%patch15 -p1
# Change Myanmar/Myanmar to Myanmar:
rename my_MM my po/my_MM.*
%{__sed} -i "/ALL_LINGUAS/s/ my_MM / my /" configure.ac

%build
export CFLAGS="$RPM_OPT_FLAGS -fstack-protector -fPIC"
export CXXFLAGS="$RPM_OPT_FLAGS -fstack-protector -fPIC"
export FFLAGS="$RPM_OPT_FLAGS -fstack-protector -fPIC"
export LDFLAGS="-pie"
autoreconf -fi
%configure\
	--disable-static\
%if %suse_version < 1120
	--disable-vv\
%endif
	--enable-plugins\
	--enable-cyrus-sasl\
	--enable-dbus\
%if %with_mono
	--enable-mono\
%else
	--disable-mono\
%endif
        --enable-gevolution\
	--enable-gstreamer\
%if 0%{?building_for_sle_ge_11}
	--enable-gnome-keyring\
%endif
	--enable-nm\
	--enable-dbus\
	--enable-devhelp\
%if %suse_version < 1030
        --disable-meanwhile\
%endif
	--with-tclconfig=%{_libdir}\
	--with-tkconfig=%{_libdir}\
	--with-system-ssl-certs=/etc/ssl/certs
# Mono bindings sometimes fail with parallel build enabled in pidgin-2.5.5:
#%{__make} %{?jobs:-j%jobs}
%{__make}

%install
%{makeinstall}
%{perl_process_packlist}
%suse_update_desktop_file -N Pidgin -G "Instant Messenger" %{name}
# Provide only upstream emotes in openSUSE >= 11.2 and SLE > 11 (see bnc#569271#c1):
%if %suse_version < 1120
cp -a NLD $RPM_BUILD_ROOT%{_prefix}/share/pixmaps/pidgin/emotes
cp -a Tango $RPM_BUILD_ROOT%{_prefix}/share/pixmaps/pidgin/emotes
%endif
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la $RPM_BUILD_ROOT%{_libdir}/*/*.la
%{__rm} -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
%{__rm} -f $RPM_BUILD_ROOT%{_prefix}/lib/perl*/*/perllocal.pod
# FIXME: Should be nonversioned name:
test -L $RPM_BUILD_ROOT%{_libdir}/purple-2/liboscar.so && %{__rm} $RPM_BUILD_ROOT%{_libdir}/purple-2/liboscar.so
test -L $RPM_BUILD_ROOT%{_libdir}/purple-2/libjabber.so && %{__rm} $RPM_BUILD_ROOT%{_libdir}/purple-2/libjabber.so
test -L $RPM_BUILD_ROOT%{_libdir}/purple-2/libymsg.so && %{__rm} $RPM_BUILD_ROOT%{_libdir}/purple-2/libymsg.so
find $RPM_BUILD_ROOT -type f -name .packlist -exec %{__rm} {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec %{__rm} {} ';'
%find_lang %{name} %{?no_lang_C}
find $RPM_BUILD_ROOT%{_libdir}/purple-2 -xtype f -print | \
        %{__sed} "s@^$RPM_BUILD_ROOT@@g" | \
        %{__grep} -v /libsametime.so | \
        %{__grep} -v /mono.so | \
        %{__grep} -v /tcl.so | \
        %{__grep} -v ".dll$" > %{name}-%{version}-purpleplugins
find $RPM_BUILD_ROOT%{_libdir}/pidgin -maxdepth 1 -xtype f -print | \
        %{__sed} "s@^$RPM_BUILD_ROOT@@g" | \
        %{__grep} -v /gevolution.so > %{name}-%{version}-pidginplugins
find $RPM_BUILD_ROOT%{_libdir}/finch -maxdepth 1 -xtype f -print | \
        %{__sed} "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-finchplugins
%find_gconf_schemas
%{__cat} %{name}.schemas_list %{name}-%{version}-pidginplugins >%{name}.lst
%if %suse_version <= 1030
%{__cat} %{name}.lang >>%{name}-%{version}-purpleplugins
%endif
%if %suse_version > 1020
%fdupes $RPM_BUILD_ROOT
%endif

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%if 0%{?suse_version} > 1130

%post
%desktop_database_post
%icon_theme_cache_post
%endif

%if 0%{?suse_version} > 1130

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%post -n libpurple -p /sbin/ldconfig

%postun -n libpurple -p /sbin/ldconfig

%post -n finch -p /sbin/ldconfig

%postun -n finch -p /sbin/ldconfig

%files -f %{name}.lst
%defattr(-,root,root)
%doc AUTHORS COPYING COPYRIGHT ChangeLog NEWS README doc/the_penguin.txt
%dir %{_libdir}/pidgin
%{_libdir}/pidgin/perl
%{_bindir}/pidgin
%{_datadir}/pixmaps/pidgin
%{_datadir}/icons/hicolor/*/apps/pidgin.*
%{_datadir}/applications/*.desktop
%{_datadir}/sounds/purple
%dir %{_datadir}/appdata
%{_datadir}/appdata/pidgin.appdata.xml
%doc %{_mandir}/man1/pidgin.*
%if %suse_version < 1020
/var/adm/perl-modules/pidgin
# man3 is not part of gnome-filesystem
%doc %dir %{_mandir}/man3
%endif

%files devel
%defattr(-,root,root)
%{_includedir}/pidgin
%{_libdir}/pkgconfig/pidgin.pc
%doc %{_mandir}/man3/Pidgin.*

%files evolution
%defattr(-, root, root)
%{_libdir}/pidgin/gevolution.so

%files -n libpurple -f %{name}-%{version}-purpleplugins
%defattr(-, root, root)
%doc libpurple/purple-notifications-example
%{_bindir}/purple-client-example
%{_bindir}/purple-remote
%{_bindir}/purple-send
%{_bindir}/purple-send-async
%{_bindir}/purple-url-handler
%{_datadir}/purple
%{_libdir}/libpurple.so.*
%{_libdir}/libpurple-client.so.*
%dir %{_libdir}/purple-2
%{_libdir}/purple-2/perl

%if %suse_version > 1030

%files -n libpurple-lang -f %{name}.lang
%endif
%defattr(-, root, root)
# These locales are not yet included in respective products:
#%if %suse_version < 1140
# See https://bugzilla.novell.com/show_bug.cgi?id=659001
%dir %{_datadir}/locale/mhr
%dir %{_datadir}/locale/mhr/LC_MESSAGES
%dir %{_datadir}/locale/ku_IQ
%dir %{_datadir}/locale/ku_IQ/LC_MESSAGES
%dir %{_datadir}/locale/brx
%dir %{_datadir}/locale/brx/LC_MESSAGES
%dir %{_datadir}/locale/ms_MY
%dir %{_datadir}/locale/ms_MY/LC_MESSAGES
%dir %{_datadir}/locale/sd
%dir %{_datadir}/locale/sd/LC_MESSAGES
#%endif
##%if %suse_version <= 1120
##%dir %{_datadir}/locale/ms_MY
##%dir %{_datadir}/locale/ms_MY/LC_MESSAGES
##%endif
%if %suse_version < 1110
%dir %{_datadir}/locale/sr@latin
%dir %{_datadir}/locale/sr@latin/LC_MESSAGES
%endif
%if %suse_version < 1020
%dir %{_datadir}/locale/be@latin
%dir %{_datadir}/locale/be@latin/LC_MESSAGES
%dir %{_datadir}/locale/ca@valencia
%dir %{_datadir}/locale/ca@valencia/LC_MESSAGES
%dir %{_datadir}/locale/my
%dir %{_datadir}/locale/my/LC_MESSAGES
%dir %{_datadir}/locale/oc
%dir %{_datadir}/locale/oc/LC_MESSAGES
%dir %{_datadir}/locale/ps
%dir %{_datadir}/locale/ps/LC_MESSAGES
%dir %{_datadir}/locale/si
%dir %{_datadir}/locale/si/LC_MESSAGES
%dir %{_datadir}/locale/sw
%dir %{_datadir}/locale/sw/LC_MESSAGES
%dir %{_datadir}/locale/ur
%dir %{_datadir}/locale/ur/LC_MESSAGES
%endif

%if %suse_version >= 1030

%files -n libpurple-meanwhile
%defattr(-, root, root)
%{_libdir}/purple-2/libsametime.*
%endif

%ifnarch ppc64

%if %suse_version > 1010

%if %with_mono

%files -n libpurple-mono
%defattr(-, root, root)
%{_libdir}/purple-2/mono.so
%{_libdir}/purple-2/*.dll
%endif
%endif
%endif

%files -n libpurple-tcl
%defattr(-, root, root)
%{_libdir}/purple-2/tcl.so

%files -n libpurple-devel
%defattr(-, root, root)
%doc ChangeLog.API HACKING PLUGIN_HOWTO
%{_includedir}/libpurple
%{_datadir}/aclocal/purple.m4
%{_libdir}/libpurple.so
%{_libdir}/libpurple-client.so
%{_libdir}/pkgconfig/purple.pc
%doc %{_mandir}/man3/Purple.*
%if %suse_version < 1020
# man3 is not part of gnome-filesystem
%doc %dir %{_mandir}/man3
%endif

%files -n finch -f %{name}-%{version}-finchplugins
%defattr(-, root, root)
%{_bindir}/finch
%{_libdir}/libgnt.so.*
%{_libdir}/gnt
%dir %{_libdir}/finch
%doc %{_mandir}/man1/finch.*

%files -n finch-devel
%defattr(-, root, root)
%{_includedir}/finch
%{_includedir}/gnt
%{_libdir}/libgnt.so
%{_libdir}/pkgconfig/finch.pc
%{_libdir}/pkgconfig/gnt.pc

%changelog
* Mon Nov 24 2014 cs@linux-administrator.com
- Update to version 2.10.11
* Mon Oct 27 2014 cs@linux-administrator.com
- Update to version 2.10.10
* Mon Feb 17 2014 cs@linux-administrator.com
- Update to version 2.10.9
* Fri Feb 15 2013 cs@linux-administrator.com
- Update to version 2.10.7
* Thu Jul 19 2012 cs@linux-administrator.com
- Update to version 2.10.6
* Sat Jun 16 2012 cs@linux-administrator.com
- Update to version 2.10.4
* Mon Jan  2 2012 cs@linux-administrator.com
- Update to version 2.10.1
* Wed Nov  9 2011 cs@linux-administrator.com
- Update to version 2.10.0
* Tue Jun 21 2011 cs@linux-administrator.com
- Update to version 2.8.0
* Sun Mar 13 2011 cs@linux-administrator.com
- Update to version 2.7.11
* Sun Feb 13 2011 vuntz@opensuse.org
- Add pidgin-fix-perl-build.patch to fix the build: some change
  upstream was apparently wrong, and we'll need to investigate this
  later.
* Sat Feb 12 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Wed Feb  2 2011 christoph.miebach@web.de
- Update to version 2.7.10
  + General:
  - Force video sources to all have the same capabilities. This
    reduces the number of times video must be scaled down, saving
    CPU time.
  - Starting multiple video calls and ending one no longer causes
    the other calls to stop sending audio and video.
  - Perl bindings now respect LDFLAGS.
  - Added AddTrust External Root CA.
  - Resolve some issues validating X.509 certificates signed off
    the CAcert Class 3 intermediate cert when using the GnuTLS
    SSL/TLS plugin.
  + Gadu-Gadu:
  - Don't drop whole messages when text is colored.
  + Groupwise:
  - Don't show two windows when using "Get Info" on a buddy.
  + IRC:
  - Don't send ISON messages longer than 512 bytes.
  + libpurple:
  - Stop sending audio when placing a call on hold.
  - Stop translating gpointers to ints in the dbus API. This
    removes functions from the dbus API.
  - Fix D-Bus introspection calls that omit the interface
    parameter.
  - Fixed bugs in purple_str_to_time() that caused the most
    recent 'make check' failures.
  - Correct an issue that caused some UIs other than Pidgin or
    Finch to leave a buddy in the "is typing" state.
  - Fix potential information disclosure issues in the Cipher
    code.
  + Pidgin:
  - Support using the Page Up and Page Down keys on the numeric
    keypad in the conversation window.
  - Fix a few memory leaks.
  - Support rendering strikethrough when received as in-line CSS.
  - Editable comboboxes are now more friendly to some GTK+
    themes.
  + Plugins:
  - The Voice/Video Settings plugin no longer resets selected
    devices to defaults.
  - The Voice/Video Settings plugin no longer crashes when a
    stored device name is not found in the list of available
    devices.
  - The Autoaccept plugin now allows disabling filename escaping.
  - The Autoaccept plugin now allows choosing Reject/Ask/Accept
    for non-buddies.
  + QQ:
  - QQ2008 is now the default protocol version.
  + XMPP:
  - Don't crash when receiving an unexpected/invalid jingle
    transport type.
  - Handle Connection: Close headers for BOSH, when the server
    does not terminate the connection itself.
  - Improved parsing for DIGEST-MD5, which should resolve issues
    connecting to some jabberd2 servers. This corrects an issue
    parsing one-character or empty elements.
  + Yahoo!/Yahoo! JAPAN:
  - Fix a crash when an account disconnects before a p2p session
    is completely set up.
- Drop pidgin-dbus-invalid-gpointer.patch: fixed upstream.
* Mon Dec 27 2010 dimstar@opensuse.org
- Update to version 2.7.9:
  + MSN:
  - Fix a crash when receiving short packets related to P2Pv2.
* Mon Dec 20 2010 vuntz@opensuse.org
- Update to version 2.7.8:
  + General:
  - Fix the exceptions in purple-remote on Python 2.6+.
  + Pidgin:
  - When a conversation has reached the maximum limit on the
    number of smileys, display the text representation of the
    smiley properly when it contains HTML-escapable characters
    (e.g. "<3" was previously displayed as "&lt;3").
  - Drop dependency on GdkGC and use Cairo instead.
  - New UI hack to assist in first-time setup of Facebook
    accounts.
  - Don't hide the buddy list if there is no notification area in
    which to put the icon.
  + libpurple:
  - Fix multipart parsing when '=' is included in the boundary
    for purple_mime_document_parse.
  + AIM and ICQ:
  - Buddies who unset their status message will now be correctly
    shown without a message in your buddy list.
  + Gadu-Gadu:
  - Updated our bundled libgadu and minimum requirement for
    external libgadu to 1.9.0.
  + MSN:
  - Stop showing ourselves in the list of endpoints that can be
    disconnected.
  - Allow full-size display names, by not escaping (most)
    non-English characters.
  - Fix receiving messages from users on Yahoo and other
    federated services.
  - Correctly remove old endpoints from the list when they sign
    out.
  - Add option to disable connections from multiple locations.
  - Correctly update your own display name in the buddy list.
  - Correctly show ourselves as offline in the buddy list when
    going invisible.
  - Correctly update your own icon in the buddy list.
  - Remove struct packing for better portability.
  + XMPP:
  - Terminate Jingle sessions with unsupported content types.
- Own the directories for the mhr locale, until bnc#659001 is
  resolved.
* Tue Nov 30 2010 dimstar@opensuse.org
- Drop pidgin-nonblock-aim.patch: Does not apply and seems
  obsoleted. Part of bnc#569271.
* Thu Nov 25 2010 christoph.miebach@web.de
- Update to version 2.7.7:
  + General:
  - Allow multiple CA certificates to share the same
    Distinguished Name (DN). Partially fixes remaining MSN
    issues.
  - The GNUTLS SSL plugin now discards any certificate (and all
    subsequent certificates) in a chain if it did not sign the
    previous certificate. Partially fixes remaining MSN issues.
  - Open requests related to a file transfer are now closed when
    the request is cancelled locally.
  + AIM and ICQ:
  - AIM should now connect if "Use clientLogin" is turned off and
    the "Server" field is set to anything other than
    "login.oscar.aol.com" or "slogin.oscar.aol.com".
  - Fix a crash on connection loss.
* Tue Nov 23 2010 lchiquitto@novell.com
- Update to version 2.7.6:
  + General:
  - Included Microsoft Internet Authority 2010 and Microsoft
    Secure Server Authority 2010 intermediate CA certificates to
    our bundle.  This fixes the "Unable to validate certificate"
    error for omega.contacts.msn.com (bnc#655477).
  + Pidgin:
  - Avoid a use-after-free race condition in the media code
    (when there's an error reported by GStreamer).
  + AIM and ICQ:
  - SSL option has been changed to a tri-state menu with choices
    for "Don't Use Encryption", "Use Encryption if Available",
    and "Require Encryption".
  - Fix some possible clientLogin URL issues introduced in
    version 2.7.5.
  - Don't show a "<URL>: Ok" connection error when using
    clientLogin.
  - Cleaned up some debug output for improved readability.
  + MSN:
  - Added support for MSNP16, including Multiple Points of
    Presence (MPOP) which allows multiple simultaneous sign-ins.
  - Added extended capabilities support (none implemented).
  - Merged the work done on the Google SoC (major rewrite of SLP
    code)
  - Reworked the data transfer architecture.
    (http://developer.pidgin.im/wiki/SlpArchitecture)
  - Lots of little changes.
  - Don't process zero-length DC messages.
  - Fixed a bunch of memory leaks.
  - Prevent a use-after-free condition.
  + XMPP:
  - Avoid a double-free in the Google Relay (V/V) code.
  - Avoid double error message when failing a file transfer.
  - Password-related information is printed out for SASL
    authentication when the PURPLE_UNSAFE_DEBUG environment
    variable is set.
  - Authentication mechanisms can now be added by UI's or other
    plugins with some work. This is outside the API/ABI rules!
  - Fixed a few printf("%%s", NULL) crashes for broken OSes.
  + Windows-Specific Changes:
  - Build the Pidgin Theme Editor plugin (finally).
  - Untarring (for themes) now works for non-ASCII destination
    paths.
* Wed Nov 10 2010 christoph.miebach@web.de
- Update to version 2.7.5:
  + General:
  - Added Verisign Class 3 Public CA - G2 root CA.
  + Pidgin:
  - Properly differentiate between bn and bn_IN in the
    Translation Information dialog.
  + AIM and/or ICQ:
  - Display the "Authorize buddy?" mini dialog when the requester
    has an empty nickname.
  - New ICQ accounts default to proper ICQ servers.  Old
    accounts using one of the old default servers will be
    silently migrated to use the proper servers.
  - ICQ accounts using clientLogin now use the correct ICQ
    servers.  This is separate from the server settings
    mentioned above.
  - '<' should no longer cause ICQ status messages to be
    truncated in some locations.
  - Fix sending messages to chat rooms.
  + Bonjour:
  - Don't crash when attempting to log into a Bonjour account
    and init failed.
  + Windows-Specific Changes:
  - Quote the path stored in the registry when the
    "run at startup" option in the Windows Pidgin Options plugin
    is used.
- Disable mono plugins on openSUSE 11.4. It does not work and is
  unmaintained by upstream (they are surprised it builds).
* Fri Oct 22 2010 dimstar@opensuse.org
- Update to version 2.7.4:
  + General:
  - Fix search path for Tk when compiling on Debian Squeeze.
  - purple-remote now expects and produces UTF-8.
  - Add Deutsche Telekom, Thawte Primary, and Go Daddy Class 2
    root CAs
  - Fix CVE-2010-3711 by properly validating return values from
    the purple_base64_decode() function before using them.
  - Fix two local crash bugs by properly validating return values
    from the purple_base16_decode() function before using them.
  + libpurple:
  - Fall back to an ordinary request if a UI does not support
    showing a request with an icon. Fixes receiving MSN file
    transfer requests including a thumbnail in Finch.
  - Fix an invalid memory access when removing UPnP mappings that
    could cause sporadic crashes, most notably when MSN Direct
    Connections are enabled.
  - Add a sentence to the certificate warning for expired
    certificates suggesting the user check their computer's date
    and time.
  + Pidgin:
  - Add support for the Gadu-Gadu protocol in the gevolution
    plugin to provide Evolution integration with contacts with
    Gadu-Gadu IDs.
  - Remap the "Set User Mood" shortcut to Control-D, which does
    not conflict with the previous shortcut for Get Buddy Info on
    the selected buddy.
  - Add a plugin action menu (under Tools) for the Voice and
    Video Settings plugin.
  - Use GRegex for the debug window where available. This brings
    regex filtering to the debug window on Windows.
  - Add Google Chrome and Chromium to the list of possible
    browsers on non-Windows systems.
  - The "Manual" browser option is now stored as a string. It is
    no longer necessary to specify a full path to the browser
    command.
  - The Send To menu can now be used if the active account in the
    conversation becomes disabled or inactive.
  - xdg-open is now the default browser for new users on
    non-Windows platforms.
  + XMPP:
  - Unify the connection security-related settings into one
    dropdown.
  - Fix a crash when multiple accounts are simultaneously
    performing SASL authentication when built with Cyrus SASL
    support.
  - Restore the ability to connect to XMPP servers that do not
    offer Stream ID.
  - Added support for using Google's relay servers when making
    voice and video calls to Google clients.
  - Fix detecting file transfer proxies advertised by the server.
  - Advertise support for Google Talk's JID Domain Discovery
    extension in all cases again (changed in 2.7.0), not just
    when the domain is "gmail.com" or "googlemail.com"
  - Improved handling of adding oneself to your buddy list when
    using Non-SASL (legacy) authentication.
  - Generate a connection error instead of just stalling when
    the _xmppconnect TXT record returns results, but none of them
    result in a valid BOSH URI.
  + Yahoo/Yahoo JAPAN:
  - Stop doing unnecessary lookups of certain alias information.
    This solves deadlocks when a given Yahoo account has a
    ridiculously large (>500 buddies) list and may improve login
    speed for those on slow connections.
  - Fix sending SMS messages. The lookup host changed on us.
  - Improvements for some file transfer scenarios, but not all.
- Drop pidgin-browser-default.patch: fixed upstream.
* Sun Aug 15 2010 dimstar@opensuse.org
- Update to version 2.7.3:
  + For a complete overview of changes, see NEWS file. Here are
    some highlights (excluding many bug fixes).
  + Pidgin:
  - Re-arrange media window to make it more netbook-friendly.
  + Finch:
  - Rebindable 'suggest-next-page' and 'suggest-prev-page'
    actions for textboxes.
  - Rebindable 'dropdown' action for comboboxes.
  + MSN:
  - Support for web-based buddy icons.
  + MXit:
  - Many improvements.
  + Yahoo/Yahoo JAPAN:
  - Proxy handling improvements.
  - Fix file transfers that get stuck with "Waiting for transfer
    to begin".
- Changes from version 2.7.2:
  + Fix crashes, including CVE-2010-2528.
- Changes from version 2.7.1:
  + Pidgin:
  - Restore the tray icon's blinking functionality.
  + MSN:
  - Support for direct connections, enabling faster file
    transfers, smiley and buddy icon loading.
  + MXit:
  - Add the standard MXit emoticons.
  - Increment protocol version to v6.0.
- Changes from version 2.7.0:
  + Pidgin:
  - Add UI for sending attentions (buzz, nudge) on supporting
    protocols.
  - Make the search dialog unobtrusive in the conversation
    window.
  - The Recent Log Activity sort method for the Buddy List now
    distinguishes between no activity and a small amount of
    activity in the distant past.
  - Add a menu set mood globally for all mood-supporting
    accounts.
  - Default binding of Ctrl+Shift+v to 'Paste as Plain Text' in
    conversation windows.
  - The 'Message Timestamp Formats' plugin allows changing the
    timestamp format from the timestamps' context menu in
    conversation log, and allows forcing 12-hour timestamps.
  - Show file transfer thumbnails for images on supporting
    protocols (MSN).
  + Bonjour: Add support for IPv6.
  + AIM and ICQ:
  - X-Status (Custom ICQ status icon) support.
  - Support sending and receiving HTML-formatted messages for
    ICQ.
  + MSN:
  - Support for version 9 of the MSN protocol has been removed.
  - Support file transfer thumbnails (previews) for images.
  - Fix CVE-2010-1624.
  + Finch:
  - New action 'history-search', with default binding ctrl+r, to
    search the entered string in the input history.
- Drop upstream included patches:
  + pidgin-directconn-argfix.patch
  + pidgin-oscar-clientlogin.patch
  + pidgin-oscar-portability.patch
  + pidgin-bnc550170-qq-2008only.patch (bnc#569271)
  + includes.patch (bnc#569271#6)
- Add pidgin-mono-buildfix.patch: fix build of mono plugin loader.
- Remove the conditional checks for openSUSE 10.2 and 10.3,
  simplifying the spec file a lot.
- Pass --enable-gevolution to configure to actually activate the
  plugin
- Split out pidgin-evolution package containing the evo plugin.
* Tue Mar 30 2010 dimstar@opensuse.org
- Add pidgin-oscar-clientlogin.patch to fix connection issues
  to OSCAR networks (ICQ). Patch from upstream commit
  0e3079d15adeb12c1e57ceaf5bf037f9b71c8abd.
* Tue Mar  2 2010 dimstar@opensuse.org
- Add pidgin-oscar-portability.patch to fix build / portability
  issues. Reported upstream at
  http://developer.pidgin.im/ticket/11484.
* Wed Feb 17 2010 pgajdos@suse.cz
- Updated to version 2.6.6:
  + libpurple:
  - Fix a quirk in purple_markup_html_to_xhtml that caused some
    messages to be improperly converted to XHTML.
  - Set "controlling-mode" correctly when initializing a media
    session. Fixes receiving voice calls from Psi.
  - When looking up DNS records, use the type of record returned
    by the server (instead of the type we asked for) to determine
    how to process the record.
  - Fix an issue with parsing XML attributes that contain
    "&lt;br&gt;". See ChangeLog.API for more details.
  + General:
  - Correctly disable all missing dependencies when using the
  - -disable-missing-dependencies option.
  + Gadu-Gadu:
  - Fix display of avatars after a server-side change.
  + AIM:
  - Allow setting and displaying icons between 1x1 and 100x100
    pixels. Previously only icons between 48x48 and 50x50 were
    allowed.
  + MSN:
  - Fix CVE-2010-0277, a possible remote crash when parsing an
    incoming SLP message.
  - File transfer requests will no longer cause a crash if you
    delete the file before the other side accepts.
  - Received files will no longer hold an extra lock after
    completion, meaning they can be moved or deleted without
    complaints from your OS.
  - Buddies who sign in from a second location will no longer
    cause an unnecessary chat window to open.
  - Support setting an animated GIF as a buddy icon.
  - Numerous code cleanups and memory savings.
  + MySpace:
  - Fix a leak and crash when retrieving buddy icons.
  + XMPP:
  - Less likely to send messages to a contact's idle/inactive
    resource. Previously, if a message was received from a
    specific resource, responses would be sent to that resource
    until either it went offline or a message is received from
    another resource. Now, messages are sent to the bare JID upon
    receipt of any presence change from the contact.
  - Added support for the SCRAM-SHA-1 SASL mechanism. This is
    only available when built without Cyrus SASL support.
  - When getting info on a domain-only (server) JID, show uptime
    (when given by the result of the "last query") and don't show
    status as offline.
  - Fix getting info on your own JID.
  - Wrap XHTML messages in <p>, as described in XEP-0071, for
    compatibility with some clients.
  - Don't do an SRV lookup for a STUN server associated with the
    account if one is already set globally in prefs.
  - Don't send custom smileys larger than the recommended maximum
    object size specified in the BoB XEP. This prevents a client
    from being disconnected by servers that dislike overly-large
    stanzas.
  - Fix receiving messages without markup over an Openfire BOSH
    connection (forcibly put the stanzas in the jabber:client
    namespace).
  - The default value for the file transfer proxies is
    automatically updated when an account connects, if it is
    still the old (broken) default (from 'proxy.jabber.org' to
    'proxy.eu.jabber.org').
  - Fix an issue where libpurple created duplicate buddies if the
    roster contains a buddy in two groups that differ only by
    case (e.g. "XMPP" and "xmpp") (or not at all).
  + Yahoo:
  - Don't send <span> and </span> tags.
  - Support PingBox. PingBoxes will appear as pbx/PingBoxName.
  + Pidgin:
  - Fix CVE-2010-0423, a denial of service attack due to the
    parsing of large numbers of smileys.
  - Correctly size conversation and status box entries when the
    interior-focus style property is diabled.
  - Correctly handle a multiline text field being required in a
    request form.
  - Search friends by email-addresses in the buddy list.
  - Allow dropping an image on Custom Smiley window to add a new
    one.
  - Prompt for confirmation when clearing a whiteboard (doodle)
    session.
  - Use the "hand" cursor when hovering over usernames in chat
    history to indicate that the username is an actionable item.
  - Double-clicking usernames in chat history will open an IM
    with that user.
  - Put an icon on the "Filter" button in the debug window.
  - Don't treat "/messages/like/this " as commands.
  - Explicitly mark user interaction when inserting smilies from
    the toolbar so "Undo" correctly removes these smilies.
  - Clicking "New" or "Saved" in the status selector menu while
    typing a status message no longer keeps the status entry area
    stuck in "typing" mode forever.
  - Show tooltips for ellipsized conversation tabs. On older
    systems, tooltips will show for all tabs.
  - The File Transfers and Debug Window windows are no longer
    created as dialogs. These windows should now have minimize
    buttons in many environments in which they were previously
    missing (including Windows).
  - Smiley themes with Windows line endings no longer cause theme
    descriptions not to be displayed in the theme selector.
  + Finch:
  - Fix CVE-2010-0420, a possible remote crash when handling chat
    room buddy names.
  - Rebindable 'move-first' and 'move-last' actions for tree
    widgets. So it is possible to jump to the first or last entry
    in the buddy list (and other such lists) by pressing home or
    end key (defaults)
* Thu Jan 14 2010 sbrabec@suse.cz
- Updated to version 2.6.5:
  + libpurple:
  - TLS certificates are actually stored to the local cache once
    again (accepting a name mismatch on a certificate should now
    be remembered)
  + General:
    + Build-time fixes for Solaris.
  + AIM and ICQ:
  - Messages from some mobile clients are no longer displayed as
    Chinese characters (broken in 2.6.4)
  + MSN:
  - Fix an issue allowing a remote user to download arbitrary
    files from a libpurple client. (CVE-2010-0013, bnc#567799)
  + XMPP:
  - Do not crash when attempting to register for a new account on
    Windows.
  - Fix file transfer with clients that do not support Entity
    Capabilities (e.g. Spark)
- Disabled GNOME keyring integration for openSUSE (bnc#566286).
* Mon Jan  4 2010 vuntz@opensuse.org
- Change gnome-keyring-devel BuildRequires to
  libgnome-keyring-devel on 11.3 and later, following the module
  split upstream.
* Wed Dec 16 2009 vuntz@opensuse.org
- Fix build in Factory by not owning /usr/share/locale/ms_MY which
  is now owned by the filesystem package.
* Sun Dec  6 2009 vuntz@opensuse.org
- Update to version 2.6.4:
  + libpurple:
  - Actually emit the hold signal for media calls.
  - Fix building the GnuTLS plugin with older versions of GnuTLS.
  - Fix DNS TXT query resolution.
  - Don't send Proxy-Authorization headers to HTTP proxy servers
    until we've received a "407 Proxy Authentication Required"
    response from the server.
  - Added "MXit" protocol plugin, supported and maintained by the
    MXit folks themselves.
  + General:
  - New 'plugins' sub-command to 'debug' command (i.e. '/debug
    plugins') to announce the list of loaded plugins.
  - Always rejoin open chats after an account reconnects.
  + AIM and ICQ:
  - Better rate limit calculations and other improvements.
  - More detailed error messages when messages fail to send.
  - The simultaneous login account option is respected when using
    the clientLogin authentication method.
  - Fix offline message retrieval (broken in 2.6.3)
  - Fix handling of markup on some messages (broken in 2.6.2)
  - Fix SSL when clientLogin is enabled.
  - Fix sending and receiving Unicode characters in a Direct IM
  + MSN:
  - Fix various crashes.
  - Don't forget display names for buddies.
  - Fix more FQY 240 connection errors.
  - Cache our own friendly name as the server no longer does that
    for us.
  + XMPP:
  - Fix some crashes.
  - Users connecting to Google Talk now have an "Initiate Chat"
    context menu option for their buddies.
  - Resolve an issue when connecting to iChat Server when no
    resource is specified.
  - Try to automatically find a STUN server by using an SRV
    lookup on the account's domain, if no prefs is set for this.
  - Only show the "send a file" option if the buddy supports one
    of the file transfer methods supported by libpurple.
  - Keep the avatar on the server if one is not set locally.
  + Yahoo:
  - Fix sending /buzz.
  - Fix blocking behavior for federated (MSN/OCS/Sametime)
    service users.
  - Add support for adding OCS and Sametime buddies. OCS users
    are added as "ocs/user@domain.tld" and Sametime users are
    added as "ibm/sametime_id".
  + Finch:
  - The TinyURL plugin now creates shorter URLs for long
    non-conversation URLs, e.g. URLs to open Inbox in Yahoo/MSN
    protocols, or the Yahoo Captcha when joining chat rooms.
  - Fix displaying umlauts etc. in non-utf8 locale.
  + Pidgin:
  - The userlist in a multiuser chat can be styled via gtkrc.
  - Add a hold button to the media window.
  - Fix a bug where the conversation backlog stops scrolling in a
    very busy chat room.
  - In the Conversation "Send To" menu, offline buddies appear
    grayed out (but are still selectable).
  + Pidgin Preference and Preference Window Changes:
  - General reorganization of the preference window.
  - Removed the "Use font from theme" and "Conversation Font"
    preferences. This can be controlled from the Pidgin GTK+
    Theme Control plugin.
  - The Browser and Proxy tabs show appropriate GNOME-specific
    messages and allow launching the correct applications to
    change the relevant GNOME preferences if found.
- Do not use the Tango and NLD icon themes for 11.2 and later. This
  was discussed with Jakub Steiner.
* Fri Dec  4 2009 sbrabec@suse.cz
- Fixed openssl-certs dependency problem in SLE10.
* Thu Nov 26 2009 sbrabec@suse.cz
- Single spec for all SUSE products in all build systems.
- Updated to Pidgin 2.6.3:
  * Fix a crash when performing DNS queries on Unixes that use the
    blocking DNS lookups.
  * Fixed incorrect Oscar memory access by a specially crafted SIM
    IM client contacts message (bnc#548072, pidgin#10481,
    CVE-2009-3615).
  * Fix blocking and other privacy list problems.
- Migrate all QQ accounts to QQ2008 (bnc#550170).
- Update may include these security fixes:
- Fixed XMPP crash when receiving a message with a custom smiley
  from a client that doesn't actually support custom smileys.
  (bnc#536602, CVE-2009-3085)
  http://www.pidgin.im/news/security/index.php?id=37
- Fixed MSN remote denial of service via handwritten Ink message
  (bnc#536602, pidgin#10159, CVE-2009-3084)
  http://www.pidgin.im/news/security/index.php?id=38
- Fixed MSN remote denial of service via an SLP invite message that
  lacks certain required fields (bnc#536602, pidgin#10048,
  CVE-2009-3083)
  http://www.pidgin.im/news/security/index.php?id=39
- Fixed IRC TOPIC message DoS (bnc#537214, IS-2009-001,
  CVE-2009-2703, Bugtraq#36277).
  http://www.pidgin.im/news/security/index.php?id=40
- Fixed incorrect Oscar memory access by a specially crafted SIM IM
  client contacts message (bnc#548072, pidgin#10481,
  CVE-2009-3615).
  http://www.pidgin.im/news/security/index.php?id=41
- Re-added NLD artwork by Hans Petter Jansson (hpj@novell.com).
* Tue Oct 20 2009 dimstar@opensuse.org
- Add pidgin-bnc548072.patch, fixes crash with oscar (ICQ) protocol
  bnc#548072.
* Wed Sep 23 2009 aj@suse.de
- Cleanup BuildRequires.
* Wed Sep  9 2009 vuntz@opensuse.org
- Remove Tango and NLD themes: the upstream theme is following the
  tango guidelines now.
* Mon Sep  7 2009 riggwelter@opensuse.org
- Update to version 2.6.2
  + libpurple
  - Fix --disable-avahi to actually disable it in configure, as
    opposed to just making the warning non-fatal.
  - Fix using GNOME proxy settings properly.
  + IRC:
  - Fix parsing of invalid TOPIC messages. (CVE-2009-2703)
  + MSN:
  - Sending custom smileys in chats is now supported.
  - Ink messages are now saved when using the HTML logger.
  - Fix a crash when receiving some handwritten messages.
  - Fix a crash when receiving certain SLP invite messages.
  - Chats with multiple people should no longer spontaneously
    disconnect.
  + XMPP:
  - Prompt the user before cancelling a presence subscription.
  - Escape status messages that have HTML entities in the Get
    Info dialog.
  - Fix connecting to XMPP domains with no SRV records from
    Pidgin on Windows.
  - Fix typing notifications with Pidgin 2.5.9 or earlier.
  - Fix connecting using BOSH and legacy authentication (XEP-0078).
  - Adding buddies of the form "romeo@.../Resource" are handled
    properly. In addition, it is no longer possible to add
    buddies of the form "room@.../User", where room@... is a MUC.
  - Don't crash when receiving "smileyfied" XHTML-IM from clients
    that don't support bits of binary (ie. when getting an empty
    <data/> in return)
  - Fix bug where SSL/TLS was not required even though the
    "require SSL/TLS" preference checked when connecting to
    servers that use the older iq-based authentication.
    (CVE-2009-3026)
  + Yahoo!:
  - Accounts now have "Use account proxy for SSL connections"
    option.
  + Finch
  - Properly detect libpanel on OpenBSD.
  - Remove IO watches in gnt_quit.
  + Pidgin
  - Fix the auto-personize functionality in the Buddy List.
  - Set the window icon for the media window to an icon
    corresponding to the type of call (headphone or webcam).
  - Customized sound files are no longer reset whenever opening
    the Preferences dialog.
  - The buddy list should now immediately refresh upon changing
    the icon theme.
* Tue Aug 25 2009 sbrabec@suse.cz
- Updated to version 2.6.1:
  * Voice and Video support.
  * Theme support.
  * Yahoo: Separate plugin for Yahoo Japan, SMS support.
  * XMPP: voice and video support, service discovery, support for
    BOSH, idle time reporting, attention support, in-band bytestreams
    file transfer as, custom smiley support, updated support for buddy
    icons.
  * Support for IDN.
  * Several security fixes (CORE-2009-0727, CVE-2009-2694,
    bnc#527100).
* Fri Aug  7 2009 vuntz@novell.com
- Split the support for tcl plugins in libpurple-tcl, to not force
  installation of tcl.
* Wed Jul  1 2009 sbrabec@suse.cz
- Updated to version 2.5.8:
  * ICQ:
    + Fix misparsing a web message as an SMS message.
  * MSN:
    + Increase NS command history size to prevent crashes on buddy
    lists that have a lot of buddies on other networks like
    Yahoo!
  * MySpace:
    + Accounts with empty buddy lists are now properly marked as
    connected.
    + Fix receiving messages from users of MySpace IM's web client.
  * Yahoo:
    + Fixed phantom online buddies.  They should now properly
    disappear when signing out.
    + Fixed the crashes some users were seeing with
    cn.scs.msg.yahoo.com in 2.5.7.
    + Fixed compiling on systems with glib 2.4.x or older.
    + Fixed an issue with file transfers.  This may not resolve all
    issues, but it should resolve at least some of the most
    common ones.
    + The pager server will automatically update to
    scsa.msg.yahoo.com if the user empties the field or if it is
    scs.msg.yahoo.com.  This should ease the pain of transition
    to the new login method.
  * XMPP:
    + Fix an incompatibility betweeen Prosody and libpurple
    clients.
* Mon Jun 22 2009 claes.backstrom@fsfe.org
- Add pidgin-fix-installation.patch to fix build with automake 1.11
* Sun Jun 21 2009 claes.backstrom@fsfe.org
- Update to version 2.5.7:
  + Yahoo Protocol 16 support, including new HTTPS login method;
    this should fix a number of login problems that have recently
    cropped up.
  + Only display the AIM "Unable to Retrieve Buddy List" message
    once per connection.
  + Blocking MSN users not on your buddy list no longer disconnects
    you.
  + When performing operations on MSN, assume users are on the
    MSN/Passport network if we don't get network ID's for them.
* Wed May 20 2009 vuntz@novell.com
- Update to version 2.5.6:
  + libpurple:
  - Improve sleep behavior by aggregation of longer timeouts on
    second boundaries to allow better power saving.
  - Fix various crashes on exit.
  - Make XML parsing more resilient to interactions with other
    libraries. This, along with the fix for libxml2 bgo#564217,
    fixes the crashes on connect in XMPP with recent
    gst-plugins-bad.
  - Many security related fixes.
  + IRC:
  - Correctly handle WHOIS for users who are joined to a large
    number of channels.
  - Notify the user if a /nick command fails, rather than trying
    fallback nicks.
  + MSN:
  - Fix a race condition causing occasional Pidgin crashes.
  - Fix some errors about the friendly name changing too fast
    caused by MSN/Yahoo integration buddies.
  + XMPP:
  - Less likely to pop up a new conversation window in disregard
    of the "Hide new IM conversations" preference.
  + Yahoo:
  - Fix a crash when sending very long messages.
  - Fix a bug where UTF-8 status messages get garbled when going
    idle.
* Mon Apr  6 2009 vuntz@novell.com
- Respin pidgin-gnome-keyring.patch that doesn't apply with new
  patch package.
* Mon Mar 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Thu Mar 12 2009 sbrabec@suse.cz
- Updated to version 2.5.5:
  libpurple:
  * Fix a crash when removing an account with an unknown protocol id.
  * Beta support for SSL connections for AIM and ICQ accounts.  To
    enable, check the "Use SSL" option from the Advanced tab when
    editing your AIM or ICQ account. (Paul Aurich)
  * Fix a memory leak in SILC. (Luke Petre)
  * Fix some string handling in the SIMPLE prpl, which fixes some buddy name
    handling and other issues. (Paul Aurich, Marcus Sundberg)
  * Implement support for resolving DNS via the SOCKS4 proxy (SOCKS4a).
  ICQ:
  * Fix retrieval of status messages from users of ICQ 6.x, Miranda, and
    other libpurple clients. (Daniel Ljungborg)
  * Change client ID to match ICQ Basic 14.34.3096.  This fixes publishing
    of buddy icons and available messages.
  * Properly publish status messages for statuses other than Available.
    ICQ 6.x users can now see these status messages. (Daniel Ljungborg)
  * Fix receipt of messages from the mobile client Slick. (David Jedelsky)
  MSN:
  * Fix transfer of buddy icons, custom smileys, and files from the
    latest Windows Live Messenger 9 official client. (Thomas
    Gibson-Robinson)
  * Large (multi-part) messages are now correctly re-combined.
  * Federated/Yahoo! buddies should now stop creating sync issues at
    every signin.  You may need to remove duplicates in the Address
    Book.  See the FAQ for more information.  Thanks to Jason Lingohr
    for lots of debugging and testing.
  * Messages from Yahoo! buddies are no longer silently dropped.
  * We now save and use the CacheKey for ABCH SOAP requests.
  * Don't try to parse Personal Status Messages or Current Media if they
    don't exist.
  * Convert from ISO-8859-1 encoding to UTF-8 when no charset is specified
    on incoming messages.  This should fix some issues with messages from
    older clients.
  * Force sending the font "Segoe UI" if outgoing formatting doesn't specify
    a font already.
  * Queue callbacks when token updates are in progress to prevent two token
    update attempts from trampling each other.
  * Fixed a crash on Windows when removing a buddy's alias.
  * Update the Address Book when buddies' friendly names change.  This
    prevents seeing an outdated alias or not seeing an alias at all for
    buddies who are offline when you sign in.
  * Update tokens for FindMembership and ABFindAll SOAP requests.
  * We no longer try to send empty messages.  This could happen when a
    message contained only formatting and that formatting was not supported
    on MSN.
  * Buddies on both the Allow and Block list are now automatically
    removed from the Allow list.  Users with this problem will now no
    longer receive an ADL 241 error.  The problematic buddy should now
    appear on the buddy list and can be removed or unblocked as desired.
  XMPP:
  * Resources using __HOSTNAME__ substitution will now grab only the short
    hostname instead of the FQDN on systems which put the FQDN in the
    hostname. (Matěj Cepl)
  * No longer send a 'to' attribute on an outgoing stanza when we haven't
    received one.  This fixes a registration bug as described in ticket
    pidgin#6635.
  Pidgin:
  * Tooltip windows now appear below the mouse cursor. (Kosta Arvanitis)
  * Tooltip windows now disappear on keypress events. (Kosta Arvanitis)
  * Tooltip windows no longer linger when scrolling the buddy list. (Kosta
    Arvanitis)
  Finch:
  * Allow rebinding keys to change the focused widget (details in the
    man-page, look for GntBox::binding)
* Thu Feb 19 2009 sbrabec@suse.cz
- Default browser is xdg-open, not mozilla (bnc#472219).
- libpurple: Requires openssl-certs.
* Tue Feb 10 2009 vuntz@novell.com
- Remove non-upstream translations: they'll get out-of-date.
* Sun Feb  1 2009 mboman@suse.de
- Update to version 2.5.4:
  + libpurple
  * Fix a connection timeout with empty Gadu-Gady buddy lists
  * Don't ignore namespace information when parsing XMPP data
  * Fix a crash that occurred when retrieving certain Offline
    Messages on MSN.
  * Extended purple-url-handler to handle "gtalk" URI's
  * Fix the hang on exit in Network Location Awareness for
    Windows XP and Windows Vista
  + MSN
  * Change Contact Server to temporarily fix connection
    problems
  + XMPP
  * Support for XEP-0191 blocking
  * Don't put SASL PLAIN or IQ Auth passwords in debug logs
  * Fix removal of avatars (both PEP and vCard), we weren't
    removing them correctly before
  + Pidgin
  * Fix a crash in the Add Account dialog when changing
    protocols under certain circumstances
  + Finch
  * Redirect stderr outputs to the debug window
  * Fix rebinding actions with the arrow-keys and tab
  + Windows-specific changes
  * Fix the "Hang on Exit" issue that a number of users
    encountered
  * Updated GTK+ to 2.14.6
  + Translation updates
* Sat Jan 24 2009 vuntz@novell.com
- Mark pidgin-nonblock-aim.patch as PATCH-NEEDS-REBASE since it's
  not applied.
- Remove libao-devel and perl-XML-Parser BuildRequires.
- Remove tests for non-supported versions of openSUSE.
- Don't rename sr@latin to sr@Latn since @latin is the right way.
- Enable parallel build.
- Consolidate removing of la files in one place.
- Recompress pidgin-po.tar.gz with bzip2.
- Remove pidgin-64bit-buildhack.patch which wasn't used anymore.
* Mon Jan 12 2009 mauro@suse.de 
- Translations update.
* Tue Jan  6 2009 jpr@novell.com
- Fix keyring patch so the keyring paths actually get used
  (bnc #327391)
* Tue Dec 30 2008 msuman@suse.de
- Update to version 2.5.3:
  + Misc. bug fixes
  + Custom smileys for the XMPP protocol
- Spec file cleanup for a few RPMLINT warnings.
* Tue Nov 25 2008 ro@suse.de
- comment out libpurple2-mono on ppc64 for the moment to fix
  build (no native mono on ppc64)
* Fri Oct  3 2008 vuntz@novell.com
- Fix build:
  + add pam-devel buildrequires
  + don't specify the nss/nspr include path, so that they get
    automatically detected with pkg-config. Else, the build fails.
* Tue Sep  9 2008 maw@suse.de
- Update to version 2.5.1:
  + Misc. bug fixes, including MSN login and AIM tooltips.
* Thu Aug 28 2008 maw@suse.de
- Require pcre-devel to build.
* Fri Aug 22 2008 sbrabec@suse.cz
- Update to version 2.5.0:
  * number of bug fixed and good stuff
  * MSNP protocol 15 support and many improvements
  * custom smileys (MSN)
  * Configure option --with-system-ssl-certs (openSUSE new default)
  * Add SSL Certificates support to the NSS SSL plugin.
    (bnc#415679, CVE-2008-3532, pigdin#6500)
  * Fixed XMPP endless loops.
  * IRC /ctcp command
  * Allow for auto-detection of incoming UTF-8 formatted text.
  * Improved visibility of Custom buddy icons feature.
  * Resize down large incoming custom smileys.
  * Alias based offer to add new buddies into the same contact.
  * Minor smiley style update.
  * Group and Chat buddy list entries can now be given custom buddy
    icons.
  * Finch menu improvements and tab-completion for commands in
    conversation windows.
  * Finch support for '/msgcolor' command.
* Tue Jul 15 2008 sbrabec@suse.cz
- Update to version 2.4.3:
  * Setting your buddy icon once again works for Yahoo! accounts.
  * Fixes in the Yahoo! protocol to prevent a double free, crashes
    on aliases, and alias functionality.
  * Fix crashes in the bonjour protocol.
  * Always use UTF-8 for Yahoo! (needed for Yahoo! Japan)
  * Fix a crash when the given jabber id is invalid.
  * Make the IRC "unknown message" debugging messages UTF-8 safe.
  * Fix connecting to ICQ.
  * Fix a memleak when handling jabber xforms.
  * Various memory leak fixes.
  * Fix MSN malformed SLP message integer overflow (bnc#406416,
    CVE-2008-2927, RedHat#453764)
- Fix of MSN file transfer failed receiver file open DoS
  (bnc#404163, pidgin#6246, CVE-2008-2955, BUGTRAQ:20080626 Pidgin
  2.4.1 Vulnerability, FRSIRT:ADV-2008-1947, SECUNIA:30881)
* Mon Jun 30 2008 maw@suse.de
- Update to version 2.4.2:
  + Usability imprvements in typing notification, buddy icon, and
    imput area size
  + Memory leaks
  + MSN buddy list synchronisation improvements
  + For a blow-by-blow account, see
    http://developer.pidgin.im/query?status=closed&milestone=2.4.2
- Respin the following patches: pidgin-gnome-keyring.patch and
  pidgin-check.patch.
* Wed May  7 2008 coolo@suse.de
- also provide gaim-devel to fix update
* Wed Apr  2 2008 maw@suse.de
- Update to version 2.4.1:
  + http://developer.pidgin.im/query?status=closed&milestone=2.4.1
  + libpurple:
  * Treat AIM Unicode messages as UTF-16 rather than UCS-2; this
    should have no functional effect, other than continued
    support on systems which have dropped UCS-2 conversions
  * Add support for setting buddy icons on Gadu-Gadu
  * Fix a crash when clearing the buddy icon for an account on
    XMPP
  * Fix a crash during login for some ICQ accounts
  * Prefer more available resources on XMPP when priorities are
    equal
  * Fix incorrectly marking some Yahoo! contacts as blocked
  * Improved handling of UTF-8 group names on ICQ (beret)
  * Fix a crash when starting if you have a Zephyr account
  * Increase XMPP ping timeout to 120 seconds, to prevent poor
    network connections from timing out unnecessarily
  * Don't crash on XMPP forms with empty default values
  * Fix issues with CHAP authentication for SOCKS5 proxies
  + Pidgin:
  * Remove a workaround for older versions gstreamer that was
    causing crashes on some non-Linux systems such as HPUX
  * Fix some cases of the conversation input entry area being
    1 pixel high
  * Fix for displaying channel & buddy names in conversation
    window when they have '&' in them
  * Some memory leak fixes, especially in the Text Replacement
    plugin
  * Rectangular but non-square buddy icons have rounded corners
    in the buddy list
  + Finch:
  * Fix compiling with Glib older than 2.6
  * Ensure existing conversations selected from the 'Send IM'
    dialog are given focus
  * Move the tooltip on the left of the buddylist if there's
    not enough room on the right to show it.
* Thu Mar  6 2008 maw@suse.de
- Fix the build when against newer versions of intltool.
* Mon Mar  3 2008 sbrabec@suse.cz
- Update to version 2.4.0:
  - Backend
  * Added support for offline messages for AIM accounts
  * Fixed various problems with loss of status messages when going
    or returning from idle on MySpaceIM
  * Bonjour protocol now uses Avahi instead of Howl
  * Partial support for viewing ICQ status notes
  * Support for /notice on IRC
  * Support for Yahoo! Messenger 7.0+ file transfer method
  * Support for retrieving full names and addresses from the
    address book on Yahoo! Japan
  * The AIM/ICQ server-side preference for "allow others to see me
    as idle" is no longer unconditionally set to "yes"
  * Fix SSL certificate checks for renewed certificates
  * Fix the ability to set vCard buddy icons on Google Talk/XMPP
  * D-Bus fixes on 64bit
  * Fixed retrieval of buddy icons and setting of server-side
    aliases on Yahoo! and Yahoo! Japan with a HTTP proxy server
  * Fixed an MSN bug that would leave you appearing offline when
    transferred to different server
  - Pidgin frontend
  * Input text area in conversation windows auto-resizes
  * Added the ability to theme conversation name colors through
    the GTK+ theme
  * Fixed having multiple alias edit areas in the infopane
  * Save the conversation "Enable Logging" option per-contact
  * Typing notifications are now shown in the conversation area
  - Finch frontend
  * More colors is now used
  * The default keybinding for dump-screen is now M-D
  * New navigating between the higlighted windows bindings alt+tab
    and alt+shift+tab
  * Recently signed on (or off) buddies blink in the buddy list
  * New action 'Room List' in the action list can be used
  * The 'Grouping' plugin can be used for alternate grouping
  * Added a log viewer
  * Added the ability to block/unblock buddies
  * Fixed a bug preventing finch working on x86_64
* Wed Jan  9 2008 maw@suse.de
- Fix installation of Serbian (Latin script) translation data.
* Sat Dec  8 2007 james@usr-local-bin.org
- Update to version 2.3.1:
  + http://developer.pidgin.im/query?status=closed&milestone=2.3.1
  + libpurple:
  * Fixed a number of MSN bugs introduced in 2.3.0, resolving problems
    connecting to MSN and random local display name changes
  * Going idle on MySpaceIM will no longer clear your status and message.
  * Idle MySpaceIM buddies should now appear online at login.
  * Fixed crashes in XMPP when discovering a client's capabilities
  * Don't set the current tune title if it's NULL (XMPP/Google Talk)
  * Don't allow buddies to be manually added to Bonjour
  * Don't advertise IPv6 on Bonjour because we don't support it
  * Compile fixes for FreeBSD and Solaris
  * Update QQ client version so some accounts can connect again
  * Do not allow ISON requests to stack in IRC, preventing flooding IRC
    servers when temporary network outages are restored
  * Plug several leaks in the perl plugin loader
  * Prevent autoaccept plugin overwriting existing files
* Sat Dec  1 2007 maw@suse.de
- Update to version 2.3.0:
  + http://developer.pidgin.im/query?status=closed&milestone=2.3.0
  + libpurple:
  * real usernames shown in system log
  * honor a PURPLE_DISABLE_DEPRECATED define to allow plugins to
    catch deprecated functions earlier rather than later.
  * Thanks to a patch from Intel, the Bonjour prpl now supports file
    transfers using XEP-0096 and XEP-0065.  This should enable file
    transfers between libpurple clients and Gajim clients, but will not
    work with iChat or Adium as they use a different file transfer
    implementation.
  * XMPP password changes that return errors no longer cause the saved
    password to be changed.
  * XMPP file transfer support has been enhanced to support sending
    files through a proxy when the server supports discovering a
    a bytestream proxy.  This should make file transfers much more
    reliable.  The next release will add support for manually specifying
    a proxy when the server doesn't advertise one.
  + pidgin:
  * If a plugin says it can't be unloaded, we now display an error and
    remove the plugin from the list of saved plugins so it won't load
    at the next startup.  Previously, we were ignoring this case, which
    could lead to crashes.
  * Mark dialog windows as transient for appropriate parent windows to
    help window managers do the right thing  (Gabriel Schulhof)
  * Connection errors are now reported in mini-dialogs inside the buddy
    list, rather than as buttons in the buddy list and with dialog
    boxes.  If several accounts are disabled when you sign on elsewhere,
    you can now re-enable them all with a single click.
  * Added tooltips to the Room List window to show full topics
  * Added buttons in preferences to access GNOME network and browser
    preferences configuration dialogs when running under GNOME
  * If you alias a buddy to an alias that is already present within
    a particular group, we now offer to merge the buddies into the
    same contact.
  * A music emblem is now displayed in the buddy list for a buddy if we
    know she is listening to some soothing music.
  * Added a 'Move to' menu in buddy list context menu for moving buddies
    to other groups as an alternative to dragging.
  * Group headings are now marked via an underline instead of a
    different color background.
  * It is now possible to mark a chat on your buddy list as "Persistent"
    so you do not leave the chat when the window or tab is closed.
  * The auto-join option for chats is now listed in the "Add Chat"
    dialog along with the new persistence option.
  * Closing an IM no longer immediately closes your conversation.  It
    will now remain active for a short time so that if the conversation
    resumes, the history will be retained.  A preference has been added
    to toggle this behavior.
  * The "Smiley" menu has been moved to the top-level of the toolbar.
  * Pidgin's display is now saved with the command line for session
    restoration.  (David Mohr)
  * ICQ Birthday notifications are shown as buddy list emblems.
  * Plugin actions are now available from the docklet context menu
    in addition to the Tool menu of the buddy list.
  * The manual page has been heavily rewritten to bring it in line
    with current functionality.
  + Finch:
  * If a plugin says it can't be unloaded, we now display an error and
    remove the plugin from the list of saved plugins so it won't load
    at the next startup.  Previously, we were ignoring this case, which
    could lead to crashes.
  * It's possible to bind key-strokes to specific menuitems in the windows.
    Read the 'Menus' section in the man-page for details.
  * 'transpose-chars' operation for the entry boxes. The default key-binding
    is ctrl+t.
  * 'yank' operation for the entry boxes. The default binding is ctrl+y.
- Updated build requirements.
* Tue Nov 13 2007 maw@suse.de
- Add pidgin-directconn-argfix.patch.
* Thu Nov  8 2007 maw@suse.de
- Update to version 2.2.2 (thanks to James, Ivan, and Michel for
  the good work in GNOME:Community!)
  + New protocol plugins
  + XMPP enhancements
  + Certificate management
  + Various and sundry fixes and UI improvements
- Remove obsolete pidgin-stringcompare.patch
- Update pidgin-nonblock-common.patch.
* Wed Oct 24 2007 sbrabec@suse.cz
- Fixed build by providing of lang package in older products.
* Tue Oct 23 2007 sbrabec@suse.cz
- Fixed BuildRequires in Build Service.
* Mon Oct  1 2007 sbrabec@suse.cz
- libpurple requires dbus-1-python (#329734).
* Wed Sep 12 2007 mauro@suse.de
- Update to version 2.1.1
  + Fixed bug bnc #308639
* Thu Sep  6 2007 sbrabec@suse.cz
- Dropped gaim-compat package, fixed provides/obsoletes (#296952).
* Fri Aug 17 2007 ro@suse.de
- fix requires: require libpurple-lang instead of pidgin-lang
* Tue Aug 14 2007 maw@suse.de
- Use %%lang_package -n libpurple instead.
* Sat Aug 11 2007 coolo@suse.de
- split out pidin-lang as required by other packages
* Mon Aug  6 2007 maw@suse.de
- Use %%fdupes
- s#%%run_ldconfig#/sbin/ldconfig# in %%post and %%postun
- Split out -lang subpackage.
* Thu Aug  2 2007 sbrabec@suse.cz
- Updated to version 2.1.0:
  * start with new UI concepts
  * largely re-designed conversation window
  * fixed some ICQ internationalization issues
  * enable using SILC Toolkit 1.1
  * lots of bug fixed
* Mon Jul 30 2007 maw@suse.de
- Change some obsoletes and provides stuff.
* Mon Jul 23 2007 maw@suse.de
- Add includes.patch, fixing the build when new versions of
  evolution-data-server are installed.
* Mon Jun 11 2007 ro@suse.de
- avoid string compare with char literal (use strcmp)
* Thu May 31 2007 sbrabec@suse.cz
- Updated to version 2.0.1:
  * Over 100 bugs fixed.
* Mon May 28 2007 sbrabec@suse.cz
- Fixed devel dependencies.
* Tue May 15 2007 sbrabec@suse.cz
- Compile with SILC protocol support.
- Integrated patches ported by Martin Szulecki.
- Fixed NSS/NSPR detection.
- Split gaim compatibility binaries.
- Removed obsolete media files.
* Mon May 14 2007 sbrabec@suse.cz
- Fixed autoreconf.
- Fixed Provides/Obsoletes.
- Require basic SASL plugins required for Jabber.
* Thu May 10 2007 sbrabec@suse.cz
- New SuSE package, version 2.0.0 (successor of gaim).
  Spec file based on work of James Ogley.
